

%define major_krdccore 5
%define libkrdccore %mklibname krdccore %{major_krdccore}
%define kf5krdc_devel %mklibname kf5krdc -d

Name:           krdc
Summary:        KDE Remote Desktop Client
Group:          Graphical desktop/KDE5
Version: 		17.12.3
Release:        %mkrel 1
URL: http://www.kde.org/applications/internet/krdc/
License:        GPLv2 LGPLv2 GFDL
Source0:        http://download.kde.org/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  %{_lib}kf5configwidgets-devel
BuildRequires:  %{_lib}kf5kcmutils-devel
BuildRequires:  %{_lib}kf5kdnssd-devel
BuildRequires:  %{_lib}kf5notifyconfig-devel
BuildRequires:  %{_lib}kf5notifications-devel
BuildRequires:  %{_lib}kf5bookmarks-devel
BuildRequires:  %{_lib}kf5iconthemes-devel
BuildRequires:  %{_lib}kf5xmlgui-devel
BuildRequires:  %{_lib}kf5completion-devel
BuildRequires:  %{_lib}kf5wallet-devel
BuildRequires:  %{_lib}kf5widgetsaddons-devel
BuildRequires:  %{_lib}kf5i18n-devel
BuildRequires:  %{_lib}kdoctools-devel

BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel

BuildRequires:  libvncserver-devel
BuildRequires:  freerdp

Requires: freerdp

%description
KDE Remote Desktop Client is a client application that allows you to view or
even control the desktop session on another machine that is running a compatible
server. VNC and RDP are supported.

%files
%_kf5_bindir/krdc
%_kf5_datadir/krdc
%_kf5_applicationsdir/*.desktop
%_kf5_datadir/config.kcfg/krdc.kcfg
%_qt5_plugindir/krdc/kcms/libkcm_krdc_vncplugin.so
%_qt5_plugindir/krdc/libkrdc_testplugin.so
%_qt5_plugindir/krdc/libkrdc_vncplugin.so
%_qt5_plugindir/krdc/kcms/libkcm_krdc_rdpplugin.so
%_qt5_plugindir/krdc/libkrdc_rdpplugin.so
%_kf5_datadir/kservices5/krdc_vnc_config.desktop
%_kf5_datadir/kservices5/vnc.protocol
%_kf5_datadir/kservices5/ServiceMenus/smb2rdc.desktop
%_kf5_datadir/kservices5/krdc_rdp_config.desktop
%_kf5_datadir/kservices5/rdp.protocol
%_kf5_datadir/kxmlgui5/krdc
#------------------------------------------------------------------------------
%_kf5_libdir/libkrdccore.so.%{major_krdccore}*
%_kf5_libdir/libkrdccore.so.17*
#------------------------------------------------------------------------------
%_kf5_datadir/locale

%package -n krdc-handbook
Summary: KRDC Handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description -n krdc-handbook
This package provides KRDC Handbook

%files -n krdc-handbook
%doc %_kf5_docdir/HTML

#------------------------------------------------------------------------------

%package -n %{kf5krdc_devel}
Summary:        Devel stuff for %{name}
Group:          Development/Libraries
Requires:       %name

%description -n %{kf5krdc_devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{kf5krdc_devel}
%_kf5_libdir/*.so
%_includedir/krdc
%_includedir/*.h

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-RemoteAccess" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Thu Dec 15 2016 bb <bb> - 16.12.0-1pclos2017
- new version

* Sat Nov 12 2016 bb <bb> 16.08.3-1pclos2016
- update

